# Record TCefDownloadItem

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefDownloadItem = record`

## Description

Structure used to represent a download item.

NOTE: This struct is allocated DLL-side.

Implemented by ICefDownloadItem.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_download_item_capi.h">CEF source file: /include/capi/cef_download_item_capi.h (cef_download_item_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_valid: function(self: PCefDownloadItem): Integer; stdcall;`
| `is_in_progress: function(self: PCefDownloadItem): Integer; stdcall;`
| `is_complete: function(self: PCefDownloadItem): Integer; stdcall;`
| `is_canceled: function(self: PCefDownloadItem): Integer; stdcall;`
| `is_interrupted: function(self: PCefDownloadItem): Integer; stdcall;`
| `get_interrupt_reason: function(self: PCefDownloadItem): TCefDownloadInterruptReason; stdcall;`
| `get_current_speed: function(self: PCefDownloadItem): Int64; stdcall;`
| `get_percent_complete: function(self: PCefDownloadItem): Integer; stdcall;`
| `get_total_bytes: function(self: PCefDownloadItem): Int64; stdcall;`
| `get_received_bytes: function(self: PCefDownloadItem): Int64; stdcall;`
| `get_start_time: function(self: PCefDownloadItem): TCefBaseTime; stdcall;`
| `get_end_time: function(self: PCefDownloadItem): TCefBaseTime; stdcall;`
| `get_full_path: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;`
| `get_id: function(self: PCefDownloadItem): Cardinal; stdcall;`
| `get_url: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;`
| `get_original_url: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;`
| `get_suggested_file_name: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;`
| `get_content_disposition: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;`
| `get_mime_type: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_valid: function(self: PCefDownloadItem): Integer; stdcall;`
This item has no description.

| `is_in_progress: function(self: PCefDownloadItem): Integer; stdcall;`
This item has no description.

| `is_complete: function(self: PCefDownloadItem): Integer; stdcall;`
This item has no description.

| `is_canceled: function(self: PCefDownloadItem): Integer; stdcall;`
This item has no description.

| `is_interrupted: function(self: PCefDownloadItem): Integer; stdcall;`
This item has no description.

| `get_interrupt_reason: function(self: PCefDownloadItem): TCefDownloadInterruptReason; stdcall;`
This item has no description.

| `get_current_speed: function(self: PCefDownloadItem): Int64; stdcall;`
This item has no description.

| `get_percent_complete: function(self: PCefDownloadItem): Integer; stdcall;`
This item has no description.

| `get_total_bytes: function(self: PCefDownloadItem): Int64; stdcall;`
This item has no description.

| `get_received_bytes: function(self: PCefDownloadItem): Int64; stdcall;`
This item has no description.

| `get_start_time: function(self: PCefDownloadItem): TCefBaseTime; stdcall;`
This item has no description.

| `get_end_time: function(self: PCefDownloadItem): TCefBaseTime; stdcall;`
This item has no description.

| `get_full_path: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;`
This item has no description.

| `get_id: function(self: PCefDownloadItem): Cardinal; stdcall;`
This item has no description.

| `get_url: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;`
This item has no description.

| `get_original_url: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;`
This item has no description.

| `get_suggested_file_name: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;`
This item has no description.

| `get_content_disposition: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;`
This item has no description.

| `get_mime_type: function(self: PCefDownloadItem): PCefStringUserFree; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.